btllib

Classes | Public Types | Public Member Functions | List of all members
btllib::SeqReader Class Reference

`#include <seq_reader.hpp>`

## Classes
struct | read_fasta_buffer
struct | read_fasta_file
struct | read_fasta_transition
struct | read_fastq_buffer
struct | read_fastq_file
struct | read_fastq_transition
struct | read_gfa2_buffer
struct | read_gfa2_file
struct | read_gfa2_transition
struct | read_sam_buffer
struct | read_sam_file
struct | read_sam_transition
struct | Record

## Public Types
enum | Flag { FOLD_CASE = 0, NO_FOLD_CASE = 1, NO_TRIM_MASKED = 0, TRIM_MASKED = 2 }
enum | Format { UNDETERMINED, FASTA, FASTQ, SAM, GFA2, INVALID }

## Public Member Functions
| SeqReader (const std::string &source_path, int flags=0)
void | close () noexcept
bool | flagFoldCase () const
bool | flagTrimMasked () const
Format | get_format () const
Record | read ()

## Detailed Description

Read a FASTA, FASTQ, SAM, or GFA2 file. Threadsafe.

## Member Enumeration Documentation

## ◆ Flag

enum btllib::SeqReader::Flag

Enumerator
FOLD_CASE | Fold lower-case characters to upper-case.
NO_TRIM_MASKED | Trim masked (lower case) characters from the ends of sequences.

## Member Function Documentation

## ◆ read()

SeqReader::Record btllib::SeqReader::read | ( |  | ) |
| inline

Read operator.

The documentation for this class was generated from the following file:

- include/btllib/seq_reader.hpp